image: node:20.11.0-alpine

stages:
  - Dependências
  - Qualidade

Instalar Dependências:
  stage: Dependências
  when: always
  script:
    - apk --no-cache add git
    - npm install
  artifacts:
    paths:
      - node_modules
    expire_in: 1 hour

Markdown:
  stage: Qualidade
  artifacts:
    when: always
    paths:
      - report-markdownlint.txt
    expire_in: 1 week
    expose_as: "Markdownlint Report"
  before_script:
    - npm install
    - npm i -g markdownlint-cli
  script:
    - markdownlint '**/*.md' -o report-markdownlint.txt
  rules:
    - when: always

Commits:
  stage: Qualidade
  artifacts:
    when: always
    paths:
      - report-commitlint.txt
    expire_in: 1 week
    expose_as: "Commitlint Report"
  script:
    - npx commitlint-gitlab-ci -x @govbr-ds/commitlint-config > report-commitlint.txt
  rules:
    - when: always
